<?php 	
include('../../classes/db.php'); 		
$fetchid = $_GET['fetchid'];
 
// DB table to use 
// $table = 'members'; 
$table = <<<EOT
 (
    SELECT 
      a.id as Rid,
      a.resid, 
      a.userid, 
      a.catid,
      a.status,
      a.checkin,
      a.checkout,
      a.service,
      a.suite,
      a.record,
      b.id,
      b.name,
      b.breed,
      c.name as username,
      c.lname,
      d.id as Did,
      d.run,
      d.conf,
      d.status as Dstatus,
      d.resid as Dresid,
      d.catid as Dcatid,
      d.indate,
      d.outdate
    FROM reservations a
    LEFT JOIN cats b ON a.catid = b.id
    LEFT JOIN users c ON a.userid = c.id
    LEFT JOIN checkin d ON a.catid = d.catid AND a.resid = d.resid
 ) temp
EOT;
 
// Table's primary key 
$primaryKey = 'resid'; 
 
// Array of database columns which should be read and sent back to DataTables. 
// The `db` parameter represents the column name in the database.  
// The `dt` parameter represents the DataTables column identifier. 
$columns = array( 
    array( 'db' => 'resid',      'dt' => 0 ),
    array( 'db' => 'name',      'dt' => 1 ), 
    array( 
        'db'        => 'checkin', 
        'dt'        => 2, 
        'formatter' => function( $d, $row ) { 
            return date( 'm/d/Y', strtotime($d)); 
        } 
    ), 
    array( 
        'db'        => 'indate', 
        'dt'        => 3, 
        'formatter' => function( $d, $row ) { 
            return ($d != '')?date( 'g:i A', strtotime($d)):''; 
        } 
    ), 
    array( 
        'db'        => 'checkout', 
        'dt'        => 4, 
        'formatter' => function( $d, $row ) { 
            return ($d != '')?date( 'm/d/Y', strtotime($d)):'';
        } 
    ), 
    array( 
        'db'        => 'outdate', 
        'dt'        => 5, 
        'formatter' => function( $d, $row ) { 
            return ($d != '')?date( 'g:i A', strtotime($d)):''; 
        } 
    ), 
    array( 'db' => 'run',      'dt' => 6 ), 
    array( 
        'db'        => 'record', 
        'dt'        => 7, 
        'formatter' => function( $d, $row ) { 
            return ($d == 5)?'<i class="far fa-check-square" style="font-size:17px;"></i> ':'<i class="far fa-square" style="font-size:16px"></i>'; 
        } 
    ),
    array( 
        'db'        => 'conf', 
        'dt'        => 8, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)?'<i class="far fa-check-square" style="font-size:17px"></i> ':'<i class="far fa-square" style="font-size:16px"></i>'; 
        } 
    ),
    array( 'db' => 'breed',       'dt' => 9 ),
    array( 
        'db'        => 'checkin', 
        'dt'        => 10, 
        'formatter' => function( $d, $row ) { 
            return date( 'Ymd', strtotime($d)); 
        } 
    ),
    array( 'db' => 'lname',   'dt' => 11 ),
    array( 'db' => 'catid',   'dt' => 12 ),
    array( 'db' => 'Dstatus',   'dt' => 13 ),
    array( 'db' => 'Did',   'dt' => 14 )
    // array( 'db' => 'kesulitan_mapel',    'dt' => 9 )
); 

// Include SQL query processing class 
require 'ssp.php'; 

// require('ssp.class.php');

// Output data as json format 
echo json_encode( 
    SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns, null, "userid = '$userid' AND status = 1" )
    // SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns)

);
?>